{
  pkgs,
  lib,
  ...
}:

let
  inherit (lib) mkForce;
in
{
  imports = [
    ./hardware-configuration.nix
    ../desktop.nix
  ];

  nixpkgs.hostPlatform = "x86_64-linux";

  boot = {
    loader.grub = {
      enable = true;
      device = "/dev/sda";
      zfsSupport = true;
    };
  };

  networking = {
    hostId = "47d23505";
    networkmanager.enable = true;
  };

  environment.systemPackages = [
    pkgs.moonlight-qt
  ];

  modules = {
    services = {
      borgmatic = {
        enable = true;
        directories = [
          "/home/jordan/Documents"
        ];
        repoPath = "ssh://b9cjl9hq@b9cjl9hq.repo.borgbase.com/./repo";
      };
    };
    system.desktop = {
      gnome.enable = mkForce false;
      hyprland.enable = true;
    };
  };

  system.stateVersion = "22.11";
}
