{
  stdenv,
  fetchurl,
  lib,
}:
stdenv.mkDerivation rec {
  pname = "apple-color-emoji";
  version = "18.4";

  src = fetchurl {
    url = "https://github.com/samuelngs/apple-emoji-linux/releases/download/v${version}/AppleColorEmoji.ttf";
    hash = "sha256-pP0He9EUN7SUDYzwj0CE4e39SuNZ+SVz7FdmUviF6r0=";
  };

  dontUnpack = true;

  installPhase = ''
    install -Dm644 $src -t $out/share/fonts/truetype
  '';

  meta = {
    description = "Apple Color Emoji for Linux";
    longDescription = "Brings Apple's vibrant emojis to your Linux experience";
    homepage = "https://github.com/samuelngs/apple-emoji-linux";
    license = lib.licenses.unfree;
    platforms = lib.platforms.unix;
  };
}
